Page MenuHomePhabricator

XTools: Cleanup i18n messages
Closed, ResolvedPublic5 Estimated Story Points

Description

There are a lot of i18n messages with these issues:

  • Duplicates of another message
  • Unused messages
  • Confusing, misleading and inconsistent key names
  • Missing qqq documentation
  • Improper or missing use of {{PLURAL}}
  • Could be imported from another project that has the same exact message

This will be tedious to fix but well worth the effort. I have a Node script I'm working to import some messages from other projects, saving us and the translators a lot of time.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 5:24 PM
MusikAnimal updated the task description. (Show Details)Apr 20 2017, 5:46 PM
DannyH triaged this task as Medium priority.May 2 2017, 11:51 PM
DannyH moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MusikAnimal edited projects, added Community-Tech-Sprint; removed Community-Tech.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.
MusikAnimal added a comment.EditedMay 8 2017, 4:14 PM

Relevant commit, though I don't recommend trying to review it (101 files :) https://github.com/x-tools/xtools-rebirth/commit/fcf66fab76752b49079ca2408704d0a820d74bfe

No real changes here other than to the i18n directory, and updating everything to use the new message keys.

I'll list the squashed commit messages here:

  • Underscores to dashes
  • More human-readable message keys
  • anonedits -> ip-edits
  • authors -> num-authors (unused)
  • actions-admin -> admin-actions
  • Capitalization (English)
  • Remove some duplicates, sensible renames
  • More sensible renames, rm duplicates
  • 'years' and 'weeks' to 'num-years', 'num-weeks', other fixes
  • total-edits -> total-revisions, total -> total-edits
  • user-table -> top-editors
  • Update all tools to use new message keys
  • page -> page-title
  • No longer need 'select-language'
  • rm time-ago, past-time, or
  • Importing translation-credits, help-translate, user, hashtag-credits, history from Pageviews Analysis

I still want to import more messages from other projects, to save translator's time. I'll do that with a different commit/PR, just wanted to get this one merged because it's holding back others' work.

This commit adds qqq documentation, imports more messages from other tools, among other various i18n fixes: https://github.com/x-tools/xtools-rebirth/commit/54bb4b45c8eba8c1b1b7d32ba2221c2479dfb999

Matthewrbowker moved this task from Inbox to Working on the XTools board.May 9 2017, 4:53 PM
kaldari closed this task as Resolved.May 13 2017, 8:46 PM
kaldari added a subscriber: kaldari.

Looks good as far as I can tell.

DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 6 2017, 9:26 PM
MusikAnimal moved this task from Working to Complete on the XTools board.Jul 23 2017, 7:34 PM